<?xml version="1.0" encoding="UTF-8"?>
<plugin xmlns="http://apache.org/cordova/ns/plugins/1.0"
        xmlns:android="http://schemas.android.com/apk/res/android"
        id="cordova-plugin-onyx"
        version="8.4.1">
    <name>Onyx</name>
    <description>Cordova plugin to use Onyx</description>
    <license>Apache 2.0</license>
    <keywords>cordova,plugin,android,ios,iphone,fingerprint,authentication,touchless,onyx</keywords>
    <repo>https://gitlab.com/telosid/plugins/cordova-plugin-onyx</repo>
    <issue>https://gitlab.com/telosid/plugins/cordova-plugin-onyx/issues</issue>
    <preference name="ONYX_ANDROID_SDK_VERSION" default="8.4.1"/>
    <preference name="ONYX_IOS_SDK_VERSION" default="8.4.1"/>
    <preference name="ANDROIDX_APPCOMPAT_VERSION" default="1.4.2"/>
    <js-module src="www/OnyxPlugin.js" name="Onyx">
        <clobbers target="Onyx" />
    </js-module>

    <!-- Android -->
    <platform name="android">
        <config-file target="res/xml/config.xml" parent="/*">
            <feature name="OnyxPlugin" >
                <param name="android-package" value="com.telosid.onyx.plugin.cordova.OnyxPlugin"/>
            </feature>
        </config-file>
        <config-file target="AndroidManifest.xml" parent="/manifest/application">
            <activity android:name="com.telosid.onyx.plugin.cordova.OnyxActivity" android:screenOrientation="portrait"/>
        </config-file>
        <source-file src="src/android/OnyxPlugin.java" target-dir="src/com/telosid/onyx/plugin/cordova" />
        <source-file src="src/android/OnyxActivity.java" target-dir="src/com/telosid/onyx/plugin/cordova" />
        <source-file src="src/android/OnyxMatch.java" target-dir="src/com/telosid/onyx/plugin/cordova"/>
        <source-file src="build-extras.gradle" target-dir="app" />
        <source-file src="res/onyx_icon.png" target-dir="app/src/main/res/drawable"/>
        <framework src="com.dft.android:onyx-camera:$ONYX_ANDROID_SDK_VERSION"/>
        <framework src="androidx.appcompat:appcompat:$ANDROIDX_APPCOMPAT_VERSION"/>
    </platform>

    <!-- iOS -->
    <platform name="ios">
        <config-file target="config.xml" parent="/*">
            <feature name="OnyxPlugin">
                <param name="ios-package" value="CDVOnyxPlugin"/>
            </feature>
        </config-file>
        <config-file platform="ios" target="*-Info.plist" parent="NSCameraUsageDescription">
            <string>This application will use your phone's camera to capture an image of your fingerprint.</string>
        </config-file>

        <header-file src="src/ios/CDVOnyxPlugin.h"/>
        <source-file src="src/ios/CDVOnyxPlugin.mm"/>
        <framework src="OnyxCamera" type="podspec" spec="$ONYX_IOS_SDK_VERSION" />
    </platform>

</plugin>
